---
layout: markdown_page
title: "Product Stage Vision - Create"
---

## On this page
{:.no_toc}

- TOC
{:toc}

Content last reviewed 2021-11-17

<%= devops_diagram(["Create"]) %>

## Stage Overview

<%= partial("direction/create/templates/overview") %>

### Groups

The Create stage is made up of one DevOps stage, Create, and four groups including:

* Source Code
* Code Review
* Editor
* Gitaly

### Resourcing and Investment
The existing team members for the Create stage can be found in the links below:

* Source Code
   * [BE](https://about.gitlab.com/handbook/engineering/development/dev/create/source-code-be/)
   * [FE](https://about.gitlab.com/handbook/engineering/development/dev/create-source-code-fe/)
* Code Review
   * [BE](https://about.gitlab.com/handbook/engineering/development/dev/create/code-review/backend/)
   * [FE](https://about.gitlab.com/handbook/engineering/development/dev/create/code-review/frontend/)
* [Editor](https://about.gitlab.com/handbook/engineering/development/dev/create-editor/)
* [Gitaly](https://about.gitlab.com/handbook/engineering/development/dev/gitaly/)

## 3 Year Stage Themes
<%= partial("direction/create/templates/themes") %>

## 3 Year Strategy

<%= partial("direction/create/templates/strategy") %>


## 1 Year Plan

<%= partial("direction/create/templates/plan") %>

## Target Audience

GitLab identifies who our DevSecOps application is built for utilizing the following categorization. We list our view of who we will support when in priority order.
* 🟩 - Targeted with strong support
* 🟨 - Targeted but incomplete support
* ⬜️ - Not targeted but might find value

### Today


1. 🟩 [Software Developers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#sasha-software-developer)
1. 🟩 [Development Team Leads](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#delaney-development-team-lead)
1. 🟩 [Software Engineer in Test](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#simone-software-engineer-in-test)
1. 🟩 [DevOps Engineers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#devon-devops-engineer)
1. 🟨 [Application Development Director](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#dakota-application-development-director)
1. 🟨 [System Admingstrator](https://about.gitlab.com/handbook/product/personas/#sidney-systems-administrator)
1. 🟨 [Security Operations Engineers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#alex-security-operations-engineer)
1. ⬜️ [Application Ops](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#allison-application-ops)
1. ⬜️ [Platform Engineer](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#priyanka-platform-engineer)
1. ⬜️ [Compliance Managers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#cameron-compliance-manager)

### Medium Term (1-2 years)

1. 🟩 [Software Developers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#sasha-software-developer)
1. 🟩 [Development Team Leads](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#delaney-development-team-lead)
1. 🟩 [Software Engineer in Test](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#simone-software-engineer-in-test)
1. 🟩 [DevOps Engineers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#devon-devops-engineer)
1. 🟩 [Application Development Director](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#dakota-application-development-director)
1. 🟩 [System Admingstrator](https://about.gitlab.com/handbook/product/personas/#sidney-systems-administrator)
1. 🟨 [Security Operations Engineers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#alex-security-operations-engineer)
1. 🟨 [Application Ops](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#allison-application-ops)
1. 🟨 [Platform Engineer](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#priyanka-platform-engineer)
1. 🟨 [Compliance Managers](https://about.gitlab.com/handbook/marketing/strategic-marketing/roles-personas/#cameron-compliance-manager)

## Categories in Create

<%= partial("direction/categories-content", :locals => { :stageKey => "create" }) %>

## Jobs to be Done

<%= partial("direction/jtbd-list", locals: { stage_key: "Create" }) %>

## Pricing

<%= partial("direction/create/templates/pricing") %>

## Upcoming Releases

<%= direction["all"]["all"] %>

<%= partial("direction/other", :locals => { :stage => "create" }) %>

<p align="center">
    <i><br>
    Last Reviewed: 2021-03-08<br>
    Last Updated: 2021-03-08
    </i>
</p>
